from Foundation import *
from AppKit import *

import subprocess

def main(context):
  tune = context.selectedTune()
  if tune != None:
    tune.hydrate()
    title = tune.dots().UTF8String()

    # Copy the tune onto the clipboard
    pasteBoard = NSPasteboard.generalPasteboard()
    pasteBoard.declareTypes_owner_( [NSStringPboardType], None )
    pasteBoard.setString_forType_( title, NSStringPboardType )
    command = [
      "osascript",
      "-e", "tell application \"TextEdit\"",
      "-e", "activate",
      "-e", "make new document at end of documents",
      "-e", "tell application \"System Events\"",
      "-e", "tell process \"TextEdit\"",
      "-e", "keystroke \"v\" using command down",
      "-e", "end tell",
      "-e", "end tell",
      "-e", "end tell"
    ]
    try:
      subprocess.call( command )
    except:
      pass

